<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"

    android:id="@+id/parent"
    android:keepScreenOn="true">




    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentTop="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"

        android:id="@+id/root">

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:id="@+id/top"
            android:gravity="center"
            android:visibility="visible"
            android:paddingRight="50dp"
            android:background="#96000000">

            <ImageButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/btn_back"
            android:background="@null"
            android:src="@drawable/hplib_ic_back"
            android:layout_gravity="center"
            android:onClick="onclick_back"
            android:padding="10dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:text="Video Title"
                android:id="@+id/txt_title"
                android:gravity="center|left"
                android:layout_weight="1"
                android:textColor="#FFF"
                android:paddingLeft="10dp"
                android:textSize="22dp" />

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="wrap_content"
                android:id="@+id/cast_container"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal" >
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"

            android:id="@+id/middle"
            android:layout_weight="1"
            android:visibility="visible">


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:id="@+id/brightness_slider_container"
                android:gravity="center"
                android:layout_marginTop="100dp"
                android:layout_marginBottom="100dp"
                android:visibility="gone">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/hplib_brightness_medium"
                    android:id="@+id/brightnessIcon"/>
                <ProgressBar
                    style="@android:style/Widget.ProgressBar.Horizontal"
                    android:layout_width="10dp"
                    android:layout_height="match_parent"
                    android:max="100"
                    android:progress="33"
                    android:id="@+id/brightness_slider"
                    android:progressDrawable="@drawable/hplib_verticalbar_design_brightness"
                    android:layout_marginLeft="0dp"
                    android:layout_marginTop="0dp"
                    android:layout_marginRight="0dp"
                    android:layout_marginBottom="0dp"
                    android:visibility="visible" />
            </LinearLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/linearLayout"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"

                android:layout_gravity="center"
                android:layout_weight="1"
                tools:layout_editor_absoluteY="285dp">


                <ImageButton
                    android:id="@+id/exo_prev1"
                    android:layout_width="38dp"
                    android:layout_height="38dp"
                    android:layout_marginStart="28dp"

                    android:layout_marginEnd="8dp"
                    android:layout_marginBottom="4dp"
                    android:alpha="0.7"
                    android:background="@null"
                    android:onClick="onclick_prev"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/textView"
                    app:layout_constraintHorizontal_bias="0.0"
                    app:layout_constraintStart_toStartOf="parent"
                    app:srcCompat="@drawable/exo_prev_e" />

                <ImageButton
                    android:id="@+id/exo_next_1"

                    android:layout_width="38dp"
                    android:layout_height="38dp"

                    android:layout_marginEnd="24dp"
                    android:alpha="0.7"
                    android:background="@null"
                    android:onClick="onclick_next"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/exo_prev1"
                    app:srcCompat="@drawable/exo_next_e" />

                <TextView
                    android:id="@+id/center_vol"
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:layout_marginStart="8dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="112dp"
                    android:layout_marginBottom="8dp"
                    android:background="@color/colorAccent_vid"
                    android:fontFamily="sans-serif-condensed"
                    android:shadowRadius="@android:integer/config_longAnimTime"
                    android:text="100"
                    android:textAlignment="center"
                    android:textSize="30sp"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/exo_next_1"
                    app:layout_constraintHorizontal_bias="0.923"
                    app:layout_constraintStart_toEndOf="@+id/exo_prev1"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_bias="0.0" />
                />


            </androidx.constraintlayout.widget.ConstraintLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:id="@+id/volume"
                android:gravity="center"
                android:layout_marginTop="100dp"
                android:layout_marginBottom="100dp"
                android:visibility="gone">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/hplib_brightness_medium"
                    android:id="@+id/volumeIcon"/>
                <ProgressBar
                    style="@android:style/Widget.ProgressBar.Horizontal"
                    android:layout_width="10dp"
                    android:layout_height="match_parent"
                    android:max="100"
                    android:progress="33"
                    android:id="@+id/volume_slider"
                    android:progressDrawable="@drawable/hplib_verticalbar_design_brightness"
                    android:layout_marginLeft="0dp"
                    android:layout_marginTop="0dp"
                    android:layout_marginRight="0dp"
                    android:layout_marginBottom="0dp"
                    android:visibility="visible" />
            </LinearLayout>


        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:gravity="center_vertical"



            android:orientation="horizontal">



            <com.google.android.exoplayer2.ui.DefaultTimeBar
                android:id="@id/exo_progress"
                android:layout_width="0dp"
                android:layout_weight="1"

                android:progressDrawable="@drawable/red_scrubber_progress"
                android:thumb="@drawable/red_scrubber_control"

                android:layout_height="14dp"/>



        </LinearLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"


            android:background="#CC000000"

            android:orientation="horizontal">


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"


                android:background="#CC000000"
                android:gravity="center_vertical"

                android:orientation="horizontal">


                <ImageButton
                    android:id="@id/exo_play"
                    style="@style/ExoMediaButton.Play"/>
                <ImageButton
                    android:id="@id/exo_pause"
                    style="@style/ExoMediaButton.Pause"/>

                <TextView android:id="@id/exo_position"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="14sp"

                    android:text="a"
                    android:textStyle="bold"


                    android:textColor="#FFBEBEBE"/>

                <TextView android:id="@id/exo_position"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="14sp"
                    android:textStyle="bold"


                    android:text="/"


                    android:textColor="#FFBEBEBE"/>

                <TextView android:id="@id/exo_duration"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    android:text="b"

                    android:textColor="#FFBEBEBE"/>



            </LinearLayout>



            <LinearLayout
                android:orientation="horizontal"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:gravity="center_vertical"
                android:background="#CC000000"
                >

                <TextView android:id="@+id/groupname"
                    android:paddingLeft="50px"
                    android:textSize="16px"
                    android:layout_weight="1"

                    android:textColor="#000000"
                    android:textStyle="normal"
                    android:layout_width="0dp"
                    android:layout_height="50px"/>


                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="right"
                    android:id="@+id/vid_more"
                    android:layout_marginRight="8dp"

                    android:src="@drawable/more_vid"/>


                <TextView android:id="@+id/sw"

                    android:textSize="50px"


                    android:textColor="#ffffff"
                    android:textStyle="bold"
                    android:layout_width="wrap_content"
                    android:text="HW"

                    android:layout_marginRight="8dp"
                    android:layout_height="wrap_content"/>

                <ImageButton
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="right"

                    android:onClick="fullScreen"

                    android:layout_marginRight="8dp"
                    android:visibility="visible"
                    android:id="@+id/exo_f_b_full"

                    android:src="@drawable/exo_f_b_full"/>


                <ImageButton
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="right"
                    android:visibility="gone"

                    android:onClick="fullScreen"

                    android:id="@+id/exo_f_c_crop"

                    android:layout_marginRight="8dp"

                    android:src="@drawable/exo_f_c_crop"/>




                <ImageButton
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="right"
                    android:id="@+id/exo_f_a_normal"

                    android:onClick="fullScreen"
                    android:visibility="gone"

                    android:layout_marginRight="8dp"

                    android:src="@drawable/exo_f_a_normal"/>




            </LinearLayout>



        </LinearLayout>






    </LinearLayout>



</RelativeLayout>

